public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-cpp/eigen/
Date: Tue,  4 Sep 2018 20:49:52 +0000 (UTC)	[thread overview]
Message-ID: <1536094157.00ce11dbab0270ad5e01fb6f6088e8d271cc70f5.asturm@gentoo> (raw)

commit:     00ce11dbab0270ad5e01fb6f6088e8d271cc70f5
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Tue Sep  4 20:17:33 2018 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Tue Sep  4 20:49:17 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=00ce11db

dev-cpp/eigen: 3.3.5 version bump

Closes: https://bugs.gentoo.org/664952
Package-Manager: Portage-2.3.49, Repoman-2.3.10

 dev-cpp/eigen/Manifest           |  1 +
 dev-cpp/eigen/eigen-3.3.5.ebuild | 99 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 100 insertions(+)

diff --git a/dev-cpp/eigen/Manifest b/dev-cpp/eigen/Manifest
index 42266b4c55d..1f4447d03b0 100644
--- a/dev-cpp/eigen/Manifest
+++ b/dev-cpp/eigen/Manifest
@@ -1,3 +1,4 @@
 DIST eigen-3.2.8.tar.bz2 1161201 BLAKE2B 35bace5138f601e73d56412e87bf591ef2f96778050b0a2a4fc8f1e75f02498fb4eb80bf79988dd4bd6b985945a122d44581ccedd925f398f7d282790da06385 SHA512 53c27ba530c985dfef52188e03273eeef33abbc67e3f150cacd3371c8b9ddbd399228730595821c4c56c061d109cf509266c1dab2b8a7c730902cbd6fb18c100
 DIST eigen-3.3.3.tar.bz2 1642001 BLAKE2B 51d870a6bf04865c39642205ac8e12fd638e1d383fb33b064835ce4b5a4d4b056507c1a4fc65d9e665bf659ffd742179415caccac27c203c9388ca267e29e802 SHA512 bb5a8b761371e516f0a344a7c9f6e369e21c2907c8548227933ca6010fc607a66c8d6ff7c41b1aec3dea7d482ce8c2a09e38ae5c7a2c5b16bdd8007e7a81ecc3
 DIST eigen-3.3.4.tar.bz2 1657543 BLAKE2B 62ae6e42972fcfe71bfcda359d35674207440813edc856f209f37321c7f8d39498c6c6fb33d80cc14129113c1dff849212f034ab925b6656e99ed192f4af2fbb SHA512 d67a3fd8f7ce811af65fc1d43ec347dadf9c643a49135f7e455fc303773bad09e80a125282c7dfca7a1993b79e1f66576ac92418119fbb0fa50c1a581b957c0d
+DIST eigen-3.3.5.tar.bz2 1663467 BLAKE2B 7f4b6339f8cea815004057361734e53129b5bde45c9c310eab87f0aa20da90e46dd67359e669f8b36477339df7bd7c8bd8eb18baaf0f1a779372ec3623c50aca SHA512 740ed41862c1e422a751b205513754e9c7bd04cc8ad4e3b08e2ccd1c1d30dea43a90896bc8eecd0cb4253b4adf803a814ddd48d6166fb5a53f507cf3e6940a38

diff --git a/dev-cpp/eigen/eigen-3.3.5.ebuild b/dev-cpp/eigen/eigen-3.3.5.ebuild
new file mode 100644
index 00000000000..1e0339541f9
--- /dev/null
+++ b/dev-cpp/eigen/eigen-3.3.5.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+FORTRAN_NEEDED="test"
+inherit cmake-utils cuda fortran-2
+
+DESCRIPTION="C++ template library for linear algebra"
+HOMEPAGE="http://eigen.tuxfamily.org/"
+SRC_URI="https://bitbucket.org/eigen/eigen/get/${PV}.tar.bz2 -> ${P}.tar.bz2"
+
+LICENSE="MPL-2.0"
+SLOT="3"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="altivec c++11 cuda debug doc neon openmp test" #zvector vsx
+RESTRICT="!test? ( test )"
+
+RDEPEND="!dev-cpp/eigen:0"
+DEPEND="
+	doc? ( app-doc/doxygen[dot,latex] )
+	test? (
+		dev-libs/gmp:0
+		dev-libs/mpfr:0
+		media-libs/freeglut
+		media-libs/glew
+		sci-libs/adolc[sparse]
+		sci-libs/cholmod
+		sci-libs/fftw:3.0
+		sci-libs/pastix
+		sci-libs/umfpack
+		sci-libs/scotch
+		sci-libs/spqr
+		sci-libs/superlu
+		virtual/opengl
+		virtual/pkgconfig
+		cuda? ( dev-util/nvidia-cuda-toolkit )
+	)
+"
+# Missing:
+# METIS-5
+# GOOGLEHASH
+
+src_unpack() {
+	default
+	mv ${PN}* ${P} || die
+}
+
+src_prepare() {
+	cmake-utils_src_prepare
+
+	sed -e 's:-g2::g' \
+		-i cmake/EigenConfigureTesting.cmake || die
+
+	sed -e "/add_subdirectory(demos/d" \
+		-i CMakeLists.txt || die
+
+	if ! use test; then
+		sed -e "/add_subdirectory(test/d" \
+			-i CMakeLists.txt || die
+
+		sed -e "/add_subdirectory(blas/d" \
+			-e "/add_subdirectory(lapack/d" \
+			-i CMakeLists.txt || die
+	fi
+	sed -e "/Unknown build type/d" \
+		-i CMakeLists.txt || die
+
+	use cuda && cuda_src_prepare
+}
+
+src_compile() {
+	cmake-utils_src_compile
+	use doc && cmake-utils_src_compile doc
+}
+
+src_test() {
+	local mycmakeargs=(
+		-DEIGEN_TEST_NOQT=ON
+		-DEIGEN_TEST_ALTIVEC="$(usex altivec)"
+		-DEIGEN_TEST_CXX11="$(usex c++11)"
+		-DEIGEN_TEST_CUDA="$(usex cuda)"
+		-DEIGEN_TEST_OPENMP="$(usex openmp)"
+		-DEIGEN_TEST_NEON64="$(usex neon)"
+	)
+	cmake-utils_src_configure
+	cmake-utils_src_compile blas
+	cmake-utils_src_compile buildtests
+	cmake-utils_src_test
+}
+
+src_install() {
+	use doc && local HTML_DOCS=( "${BUILD_DIR}"/doc/html/. )
+	cmake-utils_src_install
+
+	# Debian installs it and some projects started using it.
+	insinto /usr/share/cmake/Modules/
+	doins "${S}/cmake/FindEigen3.cmake"
+}


             reply	other threads:[~2018-09-04 20:49 UTC|newest]

Thread overview: 76+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-09-04 20:49 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-24 15:09 [gentoo-commits] repo/gentoo:master commit in: dev-cpp/eigen/ Arthur Zamarin
2024-07-16 23:05 Sam James
2024-05-16 13:04 Andreas Sturmlechner
2024-04-20 14:51 Arthur Zamarin
2024-04-20 14:51 Arthur Zamarin
2024-01-21  4:02 Sam James
2024-01-20 13:10 Sam James
2023-03-03 17:48 Arthur Zamarin
2023-01-14 10:00 Arthur Zamarin
2022-12-02 18:44 WANG Xuerui
2022-01-02  8:11 Andreas Sturmlechner
2021-12-31 18:12 Arthur Zamarin
2021-12-19 22:09 Agostino Sarubbo
2021-12-19 22:06 Agostino Sarubbo
2021-12-17 16:37 Arthur Zamarin
2021-12-17  8:41 Arthur Zamarin
2021-12-17  7:56 Arthur Zamarin
2021-12-16 13:37 Andreas Sturmlechner
2021-11-14  3:23 Sam James
2021-11-05 18:02 Sam James
2021-11-05 18:02 Sam James
2021-10-05 16:47 Sam James
2021-10-05  3:01 Sam James
2021-10-02 23:17 Sam James
2021-07-02 10:12 Marek Szuba
2021-07-02 10:12 Marek Szuba
2021-06-08  7:41 Sam James
2021-05-24  2:44 Sam James
2021-05-16 18:58 Sam James
2021-05-16 18:53 Sam James
2021-05-09 22:50 Andreas Sturmlechner
2021-05-09 22:02 Andreas Sturmlechner
2021-02-19  4:16 Sam James
2021-02-19  4:14 Sam James
2020-11-20 14:19 Sam James
2020-11-14  1:48 Thomas Deutschmann
2020-10-12 11:03 Sam James
2020-10-11 21:33 Andreas Sturmlechner
2020-09-17 18:16 Sam James
2020-09-17 18:14 Sam James
2020-07-21 15:50 Andreas Sturmlechner
2020-06-19  3:23 Georgy Yakovlev
2020-03-01 18:36 Matthias Maier
2019-09-13 20:41 Andreas Sturmlechner
2019-05-14 17:53 Aaron Bauman
2019-02-17 18:07 Sergei Trofimovich
2019-01-25 10:08 Mikle Kolyada
2018-12-28 10:52 Andreas Sturmlechner
2018-12-22 14:03 Andreas Sturmlechner
2018-10-28 22:19 Andreas Sturmlechner
2018-09-10 11:36 Andreas Sturmlechner
2018-03-03  9:46 Michał Górny
2018-02-01  1:34 Andreas Sturmlechner
2018-01-22 23:13 Andreas Sturmlechner
2018-01-22 22:41 Andreas Sturmlechner
2017-10-23 13:05 Michael Palimaka
2017-10-10 10:40 Michael Palimaka
2017-09-02 13:18 Michael Palimaka
2017-07-09  9:48 Alexis Ballier
2017-04-30 22:07 David Seifert
2017-04-29 16:21 Jeroen Roovers
2017-03-07  0:17 Sebastien Fabbro
2017-02-01 23:13 Matthias Maier
2017-02-01 23:13 Matthias Maier
2017-01-02 21:43 Justin Lecher
2016-11-24 16:56 Justin Lecher
2016-06-23 13:40 Michael Palimaka
2016-02-27 12:52 Jeroen Roovers
2016-02-26 14:15 Patrick Lauer
2016-02-22  6:22 Patrick Lauer
2016-02-20 15:39 Justin Lecher
2015-12-24  9:24 Justin Lecher
2015-12-24  9:24 Justin Lecher
2015-10-27 14:01 Michael Palimaka
2015-08-09 18:11 Michael Palimaka

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1536094157.00ce11dbab0270ad5e01fb6f6088e8d271cc70f5.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox